SDL_JoyDeviceEvent Struct Reference

Joystick device event structure (event.jdevice.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Sint32 | which

## Detailed Description

Joystick device event structure (event.jdevice.*)

Definition at line 345 of file SDL_events.h.

## Field Documentation

## timestamp

Uint32 SDL_JoyDeviceEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 348 of file SDL_events.h.

## type

Uint32 SDL_JoyDeviceEvent::type

SDL_JOYDEVICEADDED or SDL_JOYDEVICEREMOVED

Definition at line 347 of file SDL_events.h.

## which

Sint32 SDL_JoyDeviceEvent::which

The joystick device index for the ADDED event, instance id for the REMOVED event

Definition at line 349 of file SDL_events.h.

Referenced by loop(), main(), SDL_GameControllerEventWatcher(), SDLTest_PrintEvent(), and UpdateEventsForDeviceRemoval().

The documentation for this struct was generated from the following file:

- include/SDL_events.h